{% extends 'base.html.twig' %}

{% block title %}Formulaire{% endblock %}
{% form_theme form 'bootstrap_5_layout.html.twig' %} {# add bootstrap to twig file #}

{% block body %}
<div class="card mt-4" style="width: 25rem;margin: auto">
{% if error is not null %}  {# show error #}
  <div class="alert alert-danger" role="alert">
      {{ error }}
  </div>
{% elseif check is same as(true) %}
  <div class="alert alert-success" role="alert">
    Les données ont été insérées avec succès
  </div>
{% elseif check is same as(false) %}
  <div class="alert alert-danger" role="alert">
      Erreur lors de l'insertion de donnée
  </div>
{% endif %}

  <div class="card-body">
    {{ form_start(form) }}  {# show form #}
    
      {{ form_row(form.fichier) }}
      <button class="btn btn-secondary">Soumettre</button>

    {{ form_end(form) }}
  </div>
</div>  
 

{% endblock %}
